<?php

declare(strict_types=1);

namespace PHPMax\Api\Chats;

use PHPMax\Support\Model;

class ReworkInviteLinkPayload extends Model
{
     
    public $revokePrivateLink = true;
     
    public $chatId;

    protected static function schema(): array
    {
        return [
            'revokePrivateLink' => ['type' => 'bool', 'default' => true],
            'chatId' => ['type' => 'int', 'required' => true],
        ];
    }
}
